#include <bits/stdc++.h>
using namespace std;
void lol(){
    long long n,m,k,s,s1;
    cin>>n>>m>>k;
    s=n/k;
    s1=m/k;
    if(n%k>0){s++;}
    if(m%k>0){s1++;}
    cout<<s*s1<<endl;
}


int main() {
    int t=1;
   // cin>>t;
    while(t--){
        lol();
    }
    return 0;
}
